Loading...
Searching...
No Matches
sdbus::function_traits< void(Result< _Results... > &&, _Args...)> Struct Template Reference
Inheritance diagram for sdbus::function_traits< void(Result< _Results... > &&, _Args...)>:

## Public Types

using | async_result_t = Result<_Results...>
Public Types inherited from sdbus::function_traits_base< std::tuple< _Results... >, _Args... >
typedef std::tuple< _Results... > | result_type
typedef std::tuple< _Args... > | arguments_type
typedef std::tuple< std::decay_t< _Args >... > | decayed_arguments_type
typedef std::tuple< _Results... > | function_type(_Args...)
using | arg_t

## Static Public Attributes

static constexpr bool | is_async = true
Static Public Attributes inherited from sdbus::function_traits_base< std::tuple< _Results... >, _Args... >
static constexpr std::size_t | arity

The documentation for this struct was generated from the following file:

- include/sdbus-c++/TypeTraits.h